from sympy import *
from daredare import *

#from misc import cal

dynare_import("pyramst.mod")


preview(equations[0].rhs.diff(k(-1)))

############################

model = Model("pyramst",lookup=True)
model.check_all()
model.check_type("dynare")

#from misc.octave import send_to_octave

solver = Solver(model,lookup=True,covariances=covariances)

text = solver.export_to_modfile()
print(text)
#f = file("hello.mod",'w')
#f.write(text)
#f.close